# Uses of Interface
javax.swing.event.PopupMenuListener

Packages that use PopupMenuListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of PopupMenuListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type PopupMenuListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addPopupMenuListener(PopupMenuListener l)`
Adds the specified listener to receive all `POPUPMENU` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removePopupMenuListener(PopupMenuListener l)`
Removes the specified listener so it no longer receives `POPUPMENU` events when they occur.

## Uses of PopupMenuListener in javax.swing

Methods in javax.swing that return PopupMenuListener
Modifier and Type
Method
Description
`PopupMenuListener[]`
JComboBox.`getPopupMenuListeners()`
Returns an array of all the `PopupMenuListener`s added to this JComboBox with addPopupMenuListener().
`PopupMenuListener[]`
JPopupMenu.`getPopupMenuListeners()`
Returns an array of all the `PopupMenuListener`s added to this JMenuItem with addPopupMenuListener().
Methods in javax.swing with parameters of type PopupMenuListener
Modifier and Type
Method
Description
`void`
JComboBox.`addPopupMenuListener(PopupMenuListener l)`
Adds a `PopupMenu` listener which will listen to notification messages from the popup portion of the combo box.
`void`
JPopupMenu.`addPopupMenuListener(PopupMenuListener l)`
Adds a `PopupMenu` listener.
`void`
JComboBox.`removePopupMenuListener(PopupMenuListener l)`
Removes a `PopupMenuListener`.
`void`
JPopupMenu.`removePopupMenuListener(PopupMenuListener l)`
Removes a `PopupMenu` listener.